libxkbcommon 0.4.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
xkb_rule_names Struct Reference

Names to compile a keymap with, also known as RMLVO. More...

`#include <xkbcommon.h>`

## Data Fields
const char * | rules
| The rules file to use. More...
const char * | model
| The keyboard model by which to interpret keycodes and LEDs. More...
const char * | layout
| A comma separated list of layouts (languages) to include in the keymap. More...
const char * | variant
| A comma separated list of variants, one per layout, which may modify or augment the respective layout in various ways. More...
const char * | options
| A comma separated list of options, through which the user specifies non-layout related preferences, like which key combinations are used for switching layouts, or which key is the Compose key. More...

## Detailed Description

Names to compile a keymap with, also known as RMLVO.

These names together are the primary identifier for a keymap. If any of the members is NULL or an empty string (""), a default value is used. It is recommended to use the system default by passing NULL for unspecified values, instead of providing your own defaults.

## Field Documentation

const char* xkb_rule_names::rules

The rules file to use.

The rules file describes how to interpret the values of the model, layout, variant and options fields.

const char* xkb_rule_names::model

The keyboard model by which to interpret keycodes and LEDs.

const char* xkb_rule_names::layout

A comma separated list of layouts (languages) to include in the keymap.

const char* xkb_rule_names::variant

A comma separated list of variants, one per layout, which may modify or augment the respective layout in various ways.

const char* xkb_rule_names::options

A comma separated list of options, through which the user specifies non-layout related preferences, like which key combinations are used for switching layouts, or which key is the Compose key.

The documentation for this struct was generated from the following file:

- xkbcommon/xkbcommon.h